Skip to content
Browse files

add select2-rails gem and a bunch of other dependencies;

  • Loading branch information...
1 parent 3dfcdea commit 5f36d0344038b41d22b8c64e58e44da6c8891e39 Alex Kravets committed
View
4 Gemfile
@@ -0,0 +1,4 @@
+source 'https://rubygems.org'
+
+# Specify your gem's dependencies in activeadmin-settings.gemspec
+gemspec
View
52 Gemfile.lock
@@ -0,0 +1,52 @@
+PATH
+ remote: .
+ specs:
+ activeadmin-settings (0.3.1)
+ carrierwave-mongoid
+ mini_magick
+ mongoid_globalize
+ select2-rails
+
+GEM
+ remote: https://rubygems.org/
+ specs:
+ activemodel (3.2.8)
+ activesupport (= 3.2.8)
+ builder (~> 3.0.0)
+ activesupport (3.2.8)
+ i18n (~> 0.6)
+ multi_json (~> 1.0)
+ bson (1.6.4)
+ bson_ext (1.6.4)
+ bson (~> 1.6.4)
+ builder (3.0.0)
+ carrierwave (0.6.2)
+ activemodel (>= 3.2.0)
+ activesupport (>= 3.2.0)
+ carrierwave-mongoid (0.2.1)
+ carrierwave (~> 0.6.1)
+ mongoid (~> 2.1)
+ i18n (0.6.0)
+ mini_magick (3.4)
+ subexec (~> 0.2.1)
+ mongo (1.6.2)
+ bson (~> 1.6.2)
+ mongoid (2.4.12)
+ activemodel (~> 3.1)
+ mongo (<= 1.6.2)
+ tzinfo (~> 0.3.22)
+ mongoid_globalize (0.2.1)
+ bson_ext (~> 1.5)
+ mongoid (~> 2.4)
+ multi_json (1.3.6)
+ select2-rails (3.0.0)
+ thor (~> 0.14)
+ subexec (0.2.2)
+ thor (0.15.4)
+ tzinfo (0.3.33)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ activeadmin-settings!
View
8 activeadmin-settings.gemspec
@@ -14,4 +14,12 @@ Gem::Specification.new do |gem|
gem.name = "activeadmin-settings"
gem.require_paths = ["lib"]
gem.version = ActiveadminSettings::VERSION
+
+ gem.add_runtime_dependency "select2-rails"
+ gem.add_runtime_dependency "carrierwave-mongoid"
+ gem.add_runtime_dependency "mini_magick"
+ gem.add_runtime_dependency "mongoid_globalize"
+ gem.add_runtime_dependency "fog"
+ gem.add_runtime_dependency "aws-s3"
+ gem.add_runtime_dependency "heroku-mongo-backup"
end
View
5 lib/activeadmin-settings.rb
@@ -1,5 +1,10 @@
require "activeadmin-settings/version"
+require "carrierwave/mongoid"
+require "mini_magick"
+require "select2-rails"
+require "mongoid_globalize"
+
module ActiveadminSettings
require 'activeadmin-settings/engine'
require 'activeadmin-settings/helper'
View
1 vendor/assets/javascripts/activeadmin_settings/index.js.coffee
@@ -1,4 +1,5 @@
#= require jquery.form
#= require jquery.easytabs
#= require redactor
+#= require select2
#= require_tree ./
View
2 vendor/assets/stylesheets/activeadmin_settings.css.scss
@@ -1,4 +1,6 @@
+//= require select2
//= require redactor
+//= require_self
#settings {
tr th:first-child { width:30%; }

0 comments on commit 5f36d03

Please sign in to comment.
Something went wrong with that request. Please try again.